View Issue Details

IDProjectCategoryView StatusLast Update
0010819CentOS-7gnome-tweak-toolpublic2019-01-16 01:49
Reporterfenglc 
PrioritynormalSeverityminorReproducibilityhave not tried
Status newResolutionopen 
PlatformOSOS Version7
Product Version 
Target VersionFixed in Version 
Summary0010819: [abrt] gnome-tweak-tool: zipfile.py:807:_RealGetContents:BadZipfile: File is not a zip file
DescriptionVersion-Release number of selected component:
gnome-tweak-tool-3.14.3-2.el7

Truncated backtrace:
zipfile.py:807:_RealGetContents:BadZipfile: File is not a zip file

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_interface.py", line 203, in _on_file_set
    with zipfile.ZipFile(f, 'r') as z:
  File "/usr/lib64/python2.7/zipfile.py", line 766, in __init__
    self._RealGetContents()
  File "/usr/lib64/python2.7/zipfile.py", line 807, in _RealGetContents
    raise BadZipfile, "File is not a zip file"
BadZipfile: File is not a zip file

Local variables in innermost frame:
fp: <closed file '/home/fenglc/\xe4\xb8\x8b\xe8\xbd\xbd/xenlism-minimalism-cd37cf8.tar.gz.zip', mode 'rb' at 0x2b78f60>
self: <zipfile.ZipFile object at 0x2b98a90>
endrec: None
Additional Informationreporter: libreport-2.1.11
cmdline: /usr/bin/python /usr/bin/gnome-tweak-tool
dso_list: python-libs-2.7.5-34.el7.x86_64
executable: /usr/bin/gnome-tweak-tool
kernel: 3.10.0-327.13.1.el7.x86_64
runlevel: N 5
type: Python
uid: 1000
TagsNo tags attached.
abrt_hashe8318d77ce04df41f02fb9aee75059692d5e3b5c
URLhttps://retrace.fedoraproject.org/faf/reports/bthash/f80db98190bfbf8aa3da3135814884e43a7b2c6a

Activities

fenglc

fenglc

2016-05-07 10:52

reporter  

backtrace (710 bytes)
zipfile.py:807:_RealGetContents:BadZipfile: File is not a zip file

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_interface.py", line 203, in _on_file_set
    with zipfile.ZipFile(f, 'r') as z:
  File "/usr/lib64/python2.7/zipfile.py", line 766, in __init__
    self._RealGetContents()
  File "/usr/lib64/python2.7/zipfile.py", line 807, in _RealGetContents
    raise BadZipfile, "File is not a zip file"
BadZipfile: File is not a zip file

Local variables in innermost frame:
fp: <closed file '/home/fenglc/\xe4\xb8\x8b\xe8\xbd\xbd/xenlism-minimalism-cd37cf8.tar.gz.zip', mode 'rb' at 0x2b78f60>
self: <zipfile.ZipFile object at 0x2b98a90>
endrec: None
backtrace (710 bytes)
environ (1,551 bytes)
LC_NUMERIC=zh_CN.utf8
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
GJS_DEBUG_OUTPUT=stderr
LC_MEASUREMENT=zh_CN.utf8
LESSOPEN=||/usr/bin/lesspipe.sh %s
XDG_VTNR=1
QT_IM_MODULE=ibus
LOGNAME=fenglc
USER=fenglc
QTDIR=/usr/lib64/qt-3.3
LC_PAPER=zh_CN.utf8
PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin:/home/fenglc/.local/bin:/home/fenglc/bin
DISPLAY=:0
XDG_SESSION_DESKTOP=gnome
LANG=zh_CN.utf8
QTLIB=/usr/lib64/qt-3.3/lib
TERM=dumb
SHELL=/bin/bash
XAUTHORITY=/run/gdm/auth-for-fenglc-QJEMtz/database
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3088,unix/unix:/tmp/.ICE-unix/3088
LC_MONETARY=zh_CN.utf8
HISTSIZE=1000
WINDOWPATH=1
IMSETTINGS_INTEGRATE_DESKTOP=yes
GIO_LAUNCHED_DESKTOP_FILE_PID=4378
GPG_AGENT_INFO=/run/user/1000/keyring/gpg:0:1
HOME=/home/fenglc
USERNAME=fenglc
IMSETTINGS_MODULE=IBus
SSH_AUTH_SOCK=/run/user/1000/keyring/ssh
XDG_RUNTIME_DIR=/run/user/1000
SHLVL=1
GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-tweak-tool.desktop
GDMSESSION=gnome
XMODIFIERS=@im=ibus
XDG_MENU_PREFIX=gnome-
QT_GRAPHICSSYSTEM_CHECKED=1
XDG_CURRENT_DESKTOP=GNOME
XDG_SESSION_ID=1
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rGTWWARtq6,guid=8addabb9d35d5aa8b78b0fca572dc401
_=/usr/bin/gnome-session
DESKTOP_SESSION=gnome
HOSTNAME=fenglc-pc
GDM_LANG=zh_CN.utf8
HISTCONTROL=ignoredups
QTINC=/usr/lib64/qt-3.3/include
PWD=/home/fenglc
DESKTOP_STARTUP_ID=gnome-shell-3313-fenglc-pc-gnome-tweak-tool-4_TIME119633
MAIL=/var/spool/mail/fenglc
LC_TIME=zh_CN.utf8
GJS_DEBUG_TOPICS=JS ERROR;JS LOG
XDG_SEAT=seat0
environ (1,551 bytes)
fenglc

fenglc

2016-05-07 10:52

reporter  

machineid (135 bytes)
systemd=45e4ec36b710467892403fc43c50af0d
sosreport_uploader-dmidecode=80573f1d1a151047bd2ac50fbdee87e24369c94a431892cbd70ab1d4118a2547
machineid (135 bytes)
sambhavgarrg

sambhavgarrg

2018-07-14 19:06

reporter   ~0032258

Another user experienced a similar problem:

Problem occured when I downloaded and added a macOS.layout.latte file to Shell theme in tweak tool.
The problem can be fixed by making the tweak tool susceptible to such files.

reporter: libreport-2.1.11.1
cmdline: /usr/bin/python /usr/bin/gnome-tweak-tool
dso_list: python-libs-2.7.5-68.el7.x86_64
executable: /usr/bin/gnome-tweak-tool
kernel: 3.10.0-862.el7.x86_64
package: gnome-tweak-tool-3.22.0-1.el7
pkg_fingerprint: 24C6 A8A7 F4A8 0EB5
pkg_vendor: CentOS
reason: zipfile.py:807:_RealGetContents:BadZipfile: File is not a zip file
reproducible: Not sure how to reproduce the problem
runlevel: N 5
type: Python
uid: 1000
gcomeaux

gcomeaux

2019-01-16 01:49

reporter   ~0033600

Another user experienced a similar problem:

I tried to install a `tar.gz` file that I downloaded from the www.gnome-look.org. User error.

reporter: libreport-2.1.11.1
cmdline: /usr/bin/python /usr/bin/gnome-tweaks
dso_list: python-libs-2.7.5-76.el7.x86_64
executable: /usr/bin/gnome-tweaks
kernel: 3.10.0-957.el7.x86_64
package: gnome-tweak-tool-3.28.1-2.el7
pkg_fingerprint: 24C6 A8A7 F4A8 0EB5
pkg_vendor: CentOS
reason: zipfile.py:807:_RealGetContents:BadZipfile: File is not a zip file
reproducible: Not sure how to reproduce the problem
runlevel: N 5
type: Python
uid: 1000

Issue History

Date Modified Username Field Change
2016-05-07 10:52 fenglc New Issue
2016-05-07 10:52 fenglc File Added: backtrace
2016-05-07 10:52 fenglc File Added: environ
2016-05-07 10:52 fenglc File Added: machineid
2018-07-14 19:06 sambhavgarrg Note Added: 0032258
2019-01-16 01:49 gcomeaux Note Added: 0033600